Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.j2ee
Interface J2EEDomain

All Superinterfaces:
  AMX, AMXMBeanLogging, ConfigProvider, Container, J2EEManagedObject, NotificationBroadcaster, NotificationEmitter

public interface J2EEDomain
extends J2EEManagedObject, ConfigProvider, Container

The discovery and navigation of all managed objects in the J2EE management system begins with the J2EEDomain.

See Also:
  `J2EEServer`, `J2EECluster`, `J2EEApplication`, `JVM`, `AppClientModule`, `EJBModule`, `WebModule`, `ResourceAdapterModule`, `EntityBean`, `StatefulSessionBean`, `StatelessSessionBean`, `MessageDrivenBean`, `Servlet`, `JavaMailResource`, `JCAResource`, `JCAConnectionFactory`, `JCAManagedConnectionFactory`, `JDBCResource`, `JDBCDataSource`, `JDBCDriver`, `JMSResource`, `JNDIResource`, `JTAResource`, `RMIIIOPResource`, `URLResource`

Field Summary
`static java.lang.String` | `J2EE_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`java.util.Map` | `getClusterMap()`
`java.lang.String[]` | `getclusters()`
`java.util.Map` | `getServerMap()`
`java.lang.String[]` | `getservers()` Note that the Attribute name is case-sensitive "servers" as defined by JSR 77.

Methods inherited from interface com.sun.appserv.management.j2ee.J2EEManagedObject
`getConfigPeer, getMonitoringPeer, getobjectName, iseventProvider, isstateManageable, isstatisticProvider, isstatisticsProvider`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.j2ee.ConfigProvider
`isConfigProvider`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

See Also:
  Constant Field Values

Method Detail

### getservers

    public java.lang.String[] getservers()

  Note that the Attribute name is case-sensitive "servers" as defined by JSR 77.

  Returns:
    the ObjectNames of the J2EEServers, as Strings

### getServerMap

    public java.util.Map getServerMap()

  Returns:
    a Map keyed by server name of J2EEServer

### getclusters

    public java.lang.String[] getclusters()

  Returns:
    the ObjectNames of the J2EEClusters, as Strings

### getClusterMap

    public java.util.Map getClusterMap()

  Returns:
    a Map keyed by cluster name of J2EECluster

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.